## gate.gui
Class DocumentEditor.EventsHandler.SetRemovedOperation

    java.lang.Object
      |
      +--gate.gui.DocumentEditor.EventsHandler.SetRemovedOperation

All Implemented Interfaces:
  Runnable

Enclosing class:
  DocumentEditor.EventsHandler

class DocumentEditor.EventsHandler.SetRemovedOperation
extends Object
implements Runnable

Helper class that handles the removal of a named annotation set. This runnable should only be called from the Swing thread

Field Summary
`(package private) String` `setName`

Constructor Summary
`(package private)` `DocumentEditor.EventsHandler.SetRemovedOperation(String setName)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### setName

    String setName

Constructor Detail

### DocumentEditor.EventsHandler.SetRemovedOperation

    DocumentEditor.EventsHandler.SetRemovedOperation(String setName)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`